package com.zcxk.utils;

import java.util.List;

/**
 * @ClassName OperactionStringUtils
 * @Description: TODO
 * @Author lihui
 * @Date 2021/5/8
 * @Version V1.0
 **/
public class OperactionStringUtils {

    /**
     * @Author lihui
     * @Description 检查值是否相同
     * @Date 18:11 2021/5/8
     * @Param [diffrent, list]
     * @return boolean
     **/
    public static <T> boolean checkDifferent(List<T> different, List<T> list) {
        if (different == null || list == null) {
            return false;
        }
        if (different.size() != list.size() ){
            return false;
        }
        for (T diff : different) {
            if (!list.contains(diff)){
                return false;
            }
        }
        return true;
    }

}
